Package org.eclipse.emf.cdo.common.protocol

# Class CDOProtocol.CommitData

java.lang.Object
org.eclipse.emf.cdo.common.protocol.CDOProtocol.CommitData

Enclosing interface:
  `CDOProtocol`

public static final class CDOProtocol.CommitData extends Object
A data transfer object for the essential commit data.

Since:
  4.8
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CommitData(CDODataInput in)`
`CommitData(InternalCDORevision[] newObjects, InternalCDORevisionDelta[] dirtyObjectDeltas, CDOID[] detachedObjects)`

## Method Summary

Modifier and Type
Method
Description
`CDOID[]`
`getDetachedObjects()`
`InternalCDORevisionDelta[]`
`getDirtyObjectDeltas()`
`InternalCDORevision[]`
`getNewObjects()`
`boolean`
`isNewObject(CDOID id)`
`void`
`write(CDODataOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommitData

public CommitData(InternalCDORevision[] newObjects, InternalCDORevisionDelta[] dirtyObjectDeltas, CDOID[] detachedObjects)

### CommitData

public CommitData(CDODataInput in) throws IOException

Throws:
  `IOException`

## Method Details

### write

public void write(CDODataOutput out) throws IOException

Throws:
  `IOException`

### isNewObject

public boolean isNewObject(CDOID id)

Since:
  4.26

### getNewObjects

public InternalCDORevision[] getNewObjects()

### getDirtyObjectDeltas

public InternalCDORevisionDelta[] getDirtyObjectDeltas()

### getDetachedObjects

public CDOID[] getDetachedObjects()